#include <sstream>
#include <iostream>
#include "nezo_egysor.h"

using namespace std;


//nezoEnor lelsorol konstruktora
//Megnyitja a paramterben kapott input fjlt
//Hibt dob, ha a fjl megnyitsa nem sikerlt
nezoEnor::nezoEnor(const std::string &str) throw (FileError)
{
    _f.open(str);
    if(_f.fail())throw MissingInputFile;
}

//nezoEnor felsorol next() metdusa
//getline-nal beolvassa a fjl sort
//a sorbl kiolvassa az adatokat, amelyeket mindjrt sszegez is
//sszegzs ttellel:
//szzeadja az idket
//sszeselssel eldnti, hogy mindegyik id legalbb 60
//A sor utols stringjt berakja kedvencnek
void nezoEnor::next()
{
    string line,date;
    getline(_f , line);
    if( !(_end = (_f.fail() || line=="") ) ){
        istringstream is(line);
        is >> _cur.id; // azonosit
        is >> date; //dtum, nincs r szksg
        _cur.mind60 = true;
        _cur.sumido = 0;
        string csatorna;
        int ido;
        for( is >> csatorna >> ido ; !is.fail(); is >> csatorna >> ido ){
            _cur.sumido+=ido; //id sszegzse
            _cur.mind60=_cur.mind60 && ido>=60; //legalbb 60 perc az id, sszesels
        }
        _cur.kedvenc=csatorna; //az utols olvassnl id mr nincs, a string megadja a kedvenc csatornt
        cout<<_cur<<endl;
    }
}
