#ifndef NEZO_EGYSOR_H_INCLUDED
#define NEZO_EGYSOR_H_INCLUDED

#include <fstream>

//Felsorol a megfelelt szinthez
//Egy sorbl kiolvassa az adatokat, s ellltja az els feladathoz szksges adatokat

//Tpus az egy sorbl kinyert adatokhoz
struct nezo{
    std::string id; //Vlaszol azonost
    bool mind60; //Igaz-e hogy minden ltala felsorolt csatornt legalbb 60 percig nzte
    int sumido; //ennyit tvzett sszesen
    std::string kedvenc; //ezt jellte meg kedvencnek
    friend std::ostream& operator<<(std::ostream& out, const nezo& x) //kir opertor a tesztelshez
    {
        out<<"*Teszt nezo= "<<x.id<<" "<<x.sumido<<" "<<x.kedvenc<<" "<<x.mind60<<std::endl;
        return out;
    }
};

//Felsorol a megfelelt szinthez
class nezoEnor{
    private:
        std::ifstream _f;
        nezo _cur;
        bool _end;
    public:
        enum FileError{MissingInputFile};
        nezoEnor(const std::string &str) throw (FileError);
        void first() {next();}
        void next();
        nezo current() const { return _cur;}
        bool end() const { return _end;}
};

#endif // NEZO_EGYSOR_H_INCLUDED
