#include <iostream>
#include "nezo_egysor.h"
#include "nezo_tobbsor.h"

using namespace std;

#define megfelelt

#ifdef megfelelt

//Megfelelt szint megoldsa
//nezoEnor-ra tmaszkodik
//Tesztfjlok: inp1.txt, inp2.txt, inp3.txt, ures.txt
int main()
{
    //Feltteles maximumkeress
    string fname;
    try{
        cout<<"Megfelelt szint: azon valaszolok kozul, akik ";
        cout<<"minden csatornat legalabb 60 percet neztek es ";
        cout<<"kedvencuk: NG csatorna, ki tevezett legtobbet (azonositoja, osszido)\n";
        cout << "Adja meg az input fajl nevet:";
        cin>>fname;
        nezoEnor t(fname);
        bool l=false; nezo elem;
        for(t.first();!t.end();t.next())
        {
            nezo e=t.current();
            bool felt=e.mind60 && e.kedvenc=="NG";
            if(!felt){
                continue;
            }else if(felt && l){
                if(e.sumido>elem.sumido)
                    elem=e;
            }else if(felt && !l){
                l=true;
                elem=e;
            }
        }
        if(l){
                cout<<"A felteteleknek megfelelo nezo, aki a legtobbet nezte a tv-t:\n";
                cout<<elem.id<<" osszido: "<<elem.sumido<<endl;
        }else{
                cout<<"Nem volt megfelelo nezo.\n";
        }

    }catch(nezoEnor::FileError err)
    {
        cout<<fname<<" fajllal problema van!\n";
    }
    return 0;
}

#else

//Kivl szint megoldsa
//valaszoloEnor felsorolra tmaszkodik
//Tesztfjlok: megfelelt szint tesztfjljai, inp11.txt, inp12.txt, inp13.txt

int main()
{
    //Lineris keress
    string fname;
    try{
        cout<<"Kivalo szint: keresunk egy olyan valaszolot ";
        cout<<"aki minden heten legalabb 600 percet tevezett,es ";
        cout<<"legalabb egyszer az NG csatornat jelolte meg kedvenckent.\n";
        cout << "Adja meg az input fajl nevet:";
        cin>>fname;
        valaszoloEnor t(fname);
        bool l=false; valaszolo elem;
        for(t.first();!l &&!t.end();t.next())
        {
            elem=t.current(); l=elem.mind600 && elem.voltNG;
        }
        if(l){
                cout<<"A felteteleknek megfelelo nezo:\n";
                cout<<elem.id<<endl;
        }else{
                cout<<"Nem volt megfelelo nezo.\n";
        }

    }catch(nezoEnor::FileError err)
    {
        cout<<fname<<" fajllal problema van!\n";
    }
    return 0;
}




#endif
