#ifndef NEZO_TOBBSOR_H_INCLUDED
#define NEZO_TOBBSOR_H_INCLUDED
#include "nezo_egysor.h"

//Felsorol a kivl szinthez
//Egyedi felsorol, mely az egy-sort feldolgoz nezoEnor felsorolra tmaszkodik
//sszegzi azokat a sorokat, melyek ugyanattl a vlaszoltl rkeznek
//sszeselssel s sszevagyolssal dolgozik

//Tpus a sszestett-vlaszol adataihoz
struct valaszolo{
    std::string id; //Vlaszol azonost
    bool mind600; //Igaz-e hogy minden hten legalbb 600 percet tevezett
    bool voltNG; //volt-e olyan, hogy az NG csatornt jellte meg kedvencknt
    friend std::ostream& operator<<(std::ostream& out, const valaszolo& x) //kir opertor a tesztelshez
    {
        out<<"*Teszt valaszolo= "<<x.id<<" "<<x.mind600<<" "<<x.voltNG<<std::endl;
        return out;
    }
};

//Felsorol a kivl szinthez
class valaszoloEnor{
    private:
        nezoEnor y; //nezoEnor-ra fog tmaszkodni
        valaszolo _cur;
        bool _end;
    public:
        valaszoloEnor(const std::string &str): y(str){}
        void first() {y.first(); next();}
        void next();
        valaszolo current() const { return _cur;}
        bool end() const { return _end;}
};



#endif // NEZO_TOBBSOR_H_INCLUDED
